<?php 
	header("Access-Control-Allow-Origin: *");
	header("Content-Type: application/json; charset=UTF-8");
	  
	include_once '../config/database.php';
	include_once '../objects/branch.php'; 
	session_start();
	$database = new Database();
	$db = $database->getConnection();
	  
	$branch = new Branch($db); 

	$branch->branch_id = $_SESSION['branch_id'];
	$stmt = $branch->getAllRows();
	$num = $stmt->rowCount();

	$arr = array();
	$arr["records"] = array();

	if($num>0){
		while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
			extract($row);
			$detail = array(
				"id" => (int)$id,
				"code" => $code,
				"branch" => $branch,
			);
			array_push($arr["records"], $detail);
		}
	}
	echo json_encode($arr);
?>